<?php
namespace App\Controllers;

use App\Core\Request;
use App\Core\Response;
use App\Core\Session;
use App\Models\User;

class AuthController {
    protected $request;
    protected $response;
    protected $session;

    public function __construct() {
        $this->request = new Request();
        $this->response = new Response();
        $this->session = new Session();
    }

    public function logout() {
        $this->session->remove('admin_user');
        $everestLogoutUrl = 'https://localhost/everest/admin/logout';
        $this->response->redirect($everestLogoutUrl);
    }
}
